<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-cmp-mappings PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 OR Mapping //EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-cmp-mapping_1_0.dtd">
<sun-cmp-mappings>
  <sun-cmp-mapping>
    <schema>specjschema</schema>
    <entity-mapping>
      <ejb-name>SupplierEnt</ejb-name>
      <table-name>S_supplier</table-name>
      <cmp-field-mapping>
        <field-name>suppPhone</field-name>
        <column-name>S_supplier.supp_phone</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppState</field-name>
        <column-name>S_supplier.supp_state</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppID</field-name>
        <column-name>S_supplier.supp_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppName</field-name>
        <column-name>S_supplier.supp_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppZip</field-name>
        <column-name>S_supplier.supp_zip</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppStreet1</field-name>
        <column-name>S_supplier.supp_street1</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCountry</field-name>
        <column-name>S_supplier.supp_country</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCity</field-name>
        <column-name>S_supplier.supp_city</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppContact</field-name>
        <column-name>S_supplier.supp_contact</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppStreet2</field-name>
        <column-name>S_supplier.supp_street2</column-name>
      </cmp-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>POLineEnt</ejb-name>
      <table-name>S_purchase_orderline</table-name>
      <cmp-field-mapping>
        <field-name>poLineBalance</field-name>
        <column-name>S_purchase_orderline.pol_balance</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLineQty</field-name>
        <column-name>S_purchase_orderline.pol_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLineID</field-name>
        <column-name>S_purchase_orderline.pol_p_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLineMsg</field-name>
        <column-name>S_purchase_orderline.pol_message</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLinePoID</field-name>
        <column-name>S_purchase_orderline.pol_po_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLineNumber</field-name>
        <column-name>S_purchase_orderline.pol_number</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poLineDelDate</field-name>
        <column-name>S_purchase_orderline.pol_deldate</column-name>
      </cmp-field-mapping>
      <consistency>
	<lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>POEnt</ejb-name>
      <table-name>S_purchase_order</table-name>
      <cmp-field-mapping>
        <field-name>poSiteID</field-name>
        <column-name>S_purchase_order.po_site_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poNumber</field-name>
        <column-name>S_purchase_order.po_number</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>poSuppID</field-name>
        <column-name>S_purchase_order.po_supp_id</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>poLines</cmr-field-name>
        <column-pair>
          <column-name>S_purchase_order.po_number</column-name>
          <column-name>S_purchase_orderline.pol_po_id</column-name>
        </column-pair>
        <fetched-with>
          <default/>
        </fetched-with>
      </cmr-field-mapping>
      <consistency>
	<lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>SupplierCompEnt</ejb-name>
      <table-name>S_supp_component</table-name>
      <cmp-field-mapping>
        <field-name>suppCompDelDate</field-name>
        <column-name>S_supp_component.sc_del_date</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCompQty</field-name>
        <column-name>S_supp_component.sc_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCompID</field-name>
        <column-name>S_supp_component.sc_p_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCompPrice</field-name>
        <column-name>S_supp_component.sc_price</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCompSuppID</field-name>
        <column-name>S_supp_component.sc_supp_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>suppCompDiscount</field-name>
        <column-name>S_supp_component.sc_discount</column-name>
      </cmp-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>SComponentEnt</ejb-name>
      <table-name>S_component</table-name>
      <cmp-field-mapping>
        <field-name>compUnit</field-name>
        <column-name>S_component.comp_unit</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>leadTime</field-name>
        <column-name>S_component.lead_time</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>qtyOnOrder</field-name>
        <column-name>S_component.qty_on_order</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>compID</field-name>
        <column-name>S_component.comp_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>compName</field-name>
        <column-name>S_component.comp_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>compCost</field-name>
        <column-name>S_component.comp_cost</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>containerSize</field-name>
        <column-name>S_component.container_size</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>qtyDemanded</field-name>
        <column-name>S_component.qty_demanded</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>compDesc</field-name>
        <column-name>S_component.comp_desc</column-name>
      </cmp-field-mapping>
      <consistency>
	<lock-when-loaded/>
      </consistency>
    </entity-mapping>
  </sun-cmp-mapping>
</sun-cmp-mappings>
